// ConvertAudioFileDlg.h : header file
//
//{{AFX_INCLUDES()
#include "commondialog.h"
#include "waveexctrl.h"
//}}AFX_INCLUDES

#if !defined(AFX_CONVERTAUDIOFILEDLG_H__F1485A2A_411B_4384_9867_E9413DC96027__INCLUDED_)
#define AFX_CONVERTAUDIOFILEDLG_H__F1485A2A_411B_4384_9867_E9413DC96027__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CConvertAudioFileDlg dialog

class CConvertAudioFileDlg : public CDialog
{
// Construction
public:
	CConvertAudioFileDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CConvertAudioFileDlg)
	enum { IDD = IDD_CONVERTAUDIOFILE_DIALOG };
	CProgressCtrl	m_Progressbar;
	CEdit	m_EDSource;
	CEdit	m_EDOutFile;
	CEdit	m_EDFormat;
	CButton	m_BnConvert;
	CWaveExCtrl	m_WaveEx;
	CCommonDialog1	m_OpenFileDlg;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CConvertAudioFileDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CConvertAudioFileDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBnbrowse();
	afx_msg void OnBnselect();
	afx_msg void OnConvert();
	afx_msg void OnChangeEdsource();
	afx_msg void OnOnConvertProgressWaveexctrl1(long nProgress, long nProgressMax);
	DECLARE_EVENTSINK_MAP()
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CONVERTAUDIOFILEDLG_H__F1485A2A_411B_4384_9867_E9413DC96027__INCLUDED_)
